# Class yii\apidoc\helpers\PrettyPrinter

Inheritance | yii\apidoc\helpers\PrettyPrinter » phpDocumentor\Reflection\PrettyPrinter
Available since version | 2.0
Source Code | https://github.com/yiisoft/yii2-apidoc/blob/master/helpers/PrettyPrinter.php

Enhances the phpDocumentor PrettyPrinter with short array syntax

## Public Methods

Hide inherited methods

Method | Description | Defined By
--- | --- | ---
getRepresentationOfValue() | Returns a simple human readable output for a value. | yii\apidoc\helpers\PrettyPrinter
pExpr_Array() |  | yii\apidoc\helpers\PrettyPrinter

## Method Details

getRepresentationOfValue() public static method

Returns a simple human readable output for a value.

public static string getRepresentationOfValue ( \PhpParser\Node\Expr $value )
$value | \PhpParser\Node\Expr | The value node as provided by PHP-Parser.

pExpr_Array() public method

public string pExpr_Array ( \PhpParser\Node\Expr\Array_ $node )
$node | \PhpParser\Node\Expr\Array_ |